;Boris Chess Computer http://www.borischesscomputer.com/homepage.htm
;Applied Concepts, Inc.  Boris is King  Patent Pending
;Chafitz 856 Rockville Pike  Rockville  MD  20852 301-340-0200

;HW and SW similar to Boris Diplomat (which has 3870)
;3850 F8 + 3853 static memory interface 
;7826AA 007-7020-00 C10502 KOREA : 2KB ROM  decoded at $x000-x7FF
;7825CM 007-7021-00 C10503 KOREA : 1KB? ROM decoded at $x800-xBFF
;2x2112 256 byte RAM reads/writes decoded at $xC00-xCFF, $xD00-xDFF, $xE00-xEFF, $xF00-xFFF
;also spurious? decode of writes to $x400-x7FF
;code accesses ROM and RAM at $5xxx
;ROMs are similar to 2716 except
; C10502 pin 18 is active high OE and pin 21 is active low /CE
; C10503 pin 18 is active high OE and pin 20 is active high CE and pin 21 is active low /CE
; not sure of C10503's actual size; pin 19=A10 high or low reads the same, could be N/C or A10 with dupe data
; only has 390 bytes so maybe just 1/2KB?

;8-digit 16-segment LED display, 4x4 keypad matrix (actually 4x5, top row unused)
;4x 75491 quad segment drivers and 2x 75492 hex digit drivers for LED display and keypad
;4028 binary to octal decoder 3 inputs 8 outputs
;2x 4042 quad clocked D latch on port 1 for 8 LED segs (CLKs tied together, POLs tied low)
;7400 quad NAND for RAM address decoding

;3850 Port assignment summary					
;port 0 2:0 = octal decoder for 8 LED digits and 4 keypad rows
;port 0 3 = 4042 latch clock input
;port 0 7:4 = keypad columns
;port 1 7:0 = LED segments F E D1 D2 C B A2 A1
;port 1 latched = LED segs G1 M L K G2 J I H

;keyboard matrix				
;         Port0-4   Port0-5   Port0-6   Port0-7
;octal 4   G/7        H/8      SET/9      CE
;octal 5   D/4        E/5       F/6      TIME
;octal 6   A/1        B/2       C/3      RANK
;octal 7    0          -        B/W      ENTER

;LED digits 76543210
;octal 0 = rightmost
;octal 7 = leftmost

;  - -      A1  A2
; |\|/|   F H I J B
;  - -      G1  G2
; |/|\|   E M L K C
;  - -      D1  D2

org $5000

								;set up interrupt stuff
5000: 20 56     LI   $56
5002: bc        OUTS $0C		;3853 int addr vec high
5003: 20 22     LI   $22
5005: bd        OUTS $0D		;3853 int addr vec low
5006: 20 3f     LI   $3F
5008: 51        LR   R1,A
5009: be        OUTS $0E		;3853 int ctrl
500a: bf        OUTS $0F		;3853 timer

								;set up initial board in RAM
500b: 2a 5c 00  DCI  $5C00		;copy to RAM...
500e: 2c        XDC
500f: 2a 58 90  DCI  $5890		;...from here
5012: 16        LM
5013: 14        SR   4
5014: 24 f8     AI   $F8
5016: 2c        XDC
5017: 17        ST
5018: 77        LIS  $07
5019: f1        NS   R1
501a: 94 03     BNZ  $501E
501c: 78        LIS  $08
501d: 8e        ADC
501e: 2c        XDC
501f: 31        DS   R1
5020: 82 f1     BC   $5012

5022: 77        LIS  $07
5023: 0b        LR   IS,A
5024: 70        LIS  $00
5025: 5c        LR   (IS),A
5026: 0a        LR   A,IS
5027: 24 c1     AI   $C1
5029: 92 f9     BNC  $5023
502b: 62        LISU $02		;
502c: 6e        LISL $06
502d: 20 ff     LI   $FF
502f: 5d        LR   (IS++),A
5030: 5c        LR   (IS),A
5031: 58        LR   R8,A
5032: 90 76     BR   $50A9

5034: 70        LIS  $00		;display a message
5035: c2        AS   R2
5036: 2a 58 dc  DCI  $58DC		;STALEMATE
5039: 84 f1     BZ   $502B
503b: 12        SR   1
503c: 76        LIS  $06
503d: 8e        ADC
503e: 84 ec     BZ   $502B
5040: 77        LIS  $07
5041: f8        NS   R8
5042: 1f        INC
5043: 59        LR   J,A
5044: 2a 5c 80  DCI  $5C80
5047: 16        LM
5048: c9        AS   J
5049: 92 fe     BNC  $5048
504b: 13        SL   1
504c: 0e        LR   Q,DC
504d: 8e        ADC
504e: 62        LISU $02
504f: 6e        LISL $06
5050: 16        LM
5051: 59        LR   J,A
5052: 21 77     NI   $77
5054: 5d        LR   (IS++),A
5055: 5a        LR   HU,A
5056: e8        XS   R8
5057: 16        LM
5058: 5e        LR   (IS--),A
5059: 5b        LR   HL,A
505a: 91 2b     BM   $5086
505c: 42        LR   A,R2
505d: 1f        INC
505e: 84 24     BZ   $5083
5060: 1f        INC
5061: 25 04     CI   $04
5063: 82 22     BC   $5086
5065: 40        LR   A,R0
5066: 25 1f     CI   $1F
5068: 82 1d     BC   $5086
506a: 24 fc     AI   $FC
506c: 50        LR   R0,A
506d: 0f        LR   DC,Q
506e: 49        LR   A,J
506f: 17        ST
5070: 4b        LR   A,HL
5071: 17        ST
5072: 4a        LR   A,HU
5073: 2a 5c 00  DCI  $5C00
5076: 8e        ADC
5077: 16        LM
5078: 24 fe     AI   $FE
507a: 25 fc     CI   $FC
507c: 20 75     LI   $75
507e: 19        LNK
507f: 05        LR   KL,A
5080: 6b        LISL $03
5081: 90 5c     BR   $50DE

5083: 78        LIS  $08
5084: e9        XS   J
5085: 59        LR   J,A
5086: 62        LISU $02
5087: 68        LISL $00
5088: 4d        LR   A,(IS++)
5089: 5d        LR   (IS++),A
508a: 4d        LR   A,(IS++)
508b: 5d        LR   (IS++),A
508c: 4d        LR   A,(IS++)
508d: 5c        LR   (IS),A
508e: 20 88     LI   $88
5090: 56        LR   R6,A
5091: 58        LR   R8,A
5092: f9        NS   J
5093: 55        LR   R5,A
5094: 20 37     LI   $37
5096: 50        LR   R0,A
5097: 1b        EI				;enable interrupts
5098: 0b        LR   IS,A
5099: 90 ff     BR   $5099		;infinite loop

509b: 2a 5c 80  DCI  $5C80
509e: 16        LM
509f: 24 cf     AI   $CF
50a1: 91 3c     BM   $50DE
50a3: 2a 58 f5  DCI  $58F5
50a6: 8e        ADC
50a7: 16        LM
50a8: 8e        ADC

50a9: 2c        XDC
50aa: 2a 5c 91  DCI  $5C91
50ad: 7f        LIS  $0F
50ae: 59        LR   J,A
50af: 17        ST
50b0: 0e        LR   Q,DC
50b1: 17        ST
50b2: 17        ST
50b3: 20 fd     LI   $FD
50b5: 52        LR   R2,A
50b6: 7f        LIS  $0F
50b7: c2        AS   R2
50b8: 52        LR   R2,A
50b9: 49        LR   A,J
50ba: 18        COM
50bb: 59        LR   J,A
50bc: 43        LR   A,R3
50bd: 81 06     BP   $50C4
50bf: 2c        XDC
50c0: 16        LM
50c1: 2c        XDC
50c2: 53        LR   R3,A
50c3: 14        SR   4
50c4: 21 0f     NI   $0F
50c6: 84 ef     BZ   $50B6
50c8: c2        AS   R2
50c9: 25 0f     CI   $0F
50cb: 94 e6     BNZ  $50B2
50cd: 1f        INC
50ce: 17        ST
50cf: 17        ST
50d0: 7f        LIS  $0F
50d1: 17        ST
50d2: 0f        LR   DC,Q
50d3: a0        INS  $00
50d4: 21 07     NI   $07
50d6: 8e        ADC
50d7: 2c        XDC
50d8: 20 a0     LI   $A0
50da: 56        LR   R6,A
50db: e8        XS   R8
50dc: 81 b7     BP   $5094
50de: 70        LIS  $00
50df: 52        LR   R2,A
50e0: 58        LR   R8,A
50e1: 67        LISU $07
50e2: 20 5c     LI   $5C
50e4: 06        LR   QU,A
50e5: 4a        LR   A,HU
50e6: 07        LR   QL,A
50e7: 0f        LR   DC,Q
50e8: 16        LM
50e9: 54        LR   R4,A
50ea: 0f        LR   DC,Q
50eb: 70        LIS  $00
50ec: 1a        DI
50ed: 17        ST
50ee: 01        LR   A,KL
50ef: 5e        LR   (IS--),A
50f0: 42        LR   A,R2
50f1: 5e        LR   (IS--),A
50f2: 4b        LR   A,HL
50f3: 07        LR   QL,A
50f4: 0f        LR   DC,Q
50f5: 16        LM
50f6: c1        AS   R1
50f7: e1        XS   R1
50f8: 15        SL   4
50f9: 55        LR   R5,A
50fa: 12        SR   1
50fb: 12        SR   1
50fc: e5        XS   R5
50fd: 55        LR   R5,A
50fe: 13        SL   1
50ff: 21 88     NI   $88
5101: eb        XS   HL
5102: 5e        LR   (IS--),A
5103: 78        LIS  $08
5104: f5        NS   R5
5105: ea        XS   HU
5106: 5c        LR   (IS),A
5107: 0a        LR   A,IS
5108: 24 ff     AI   $FF
510a: 0b        LR   IS,A
510b: 41        LR   A,R1
510c: 18        COM
510d: 51        LR   R1,A
510e: c4        AS   R4
510f: e1        XS   R1
5110: 12        SR   1
5111: 44        LR   A,R4
5112: 94 0a     BNZ  $511D
5114: 12        SR   1
5115: eb        XS   HL
5116: 14        SR   4
5117: 25 07     CI   $07
5119: 94 f7     BNZ  $5111
511b: 74        LIS  $04
511c: e4        XS   R4
511d: 0f        LR   DC,Q
511e: 17        ST
511f: c1        AS   R1
5120: e1        XS   R1
5121: 25 06     CI   $06
5123: 94 1c     BNZ  $5140
5125: 4a        LR   A,HU
5126: eb        XS   HL
5127: 21 7b     NI   $7B
5129: 25 02     CI   $02
512b: 94 23     BNZ  $514F
512d: 74        LIS  $04
512e: fb        NS   HL
512f: 84 04     BZ   $5134
5131: 20 fe     LI   $FE
5133: 8e        ADC
5134: 74        LIS  $04
5135: c1        AS   R1
5136: e1        XS   R1
5137: 17        ST
5138: 74        LIS  $04
5139: fb        NS   HL
513a: 71        LIS  $01
513b: 94 10     BNZ  $514C
513d: 73        LIS  $03
513e: 90 0c     BR   $514B

5140: c5        AS   R5
5141: 12        SR   1
5142: 94 0c     BNZ  $514F
5144: 4a        LR   A,HU
5145: eb        XS   HL
5146: 15        SL   4
5147: 84 07     BZ   $514F
5149: 44        LR   A,R4
514a: 15        SL   4
514b: 18        COM
514c: 8e        ADC
514d: 70        LIS  $00
514e: 17        ST
514f: e8        XS   R8
5150: 81 04     BP   $5155
5152: 29 58 39  JMP  $5839

5155: 1b        EI
5156: 70        LIS  $00
5157: 52        LR   R2,A
5158: 40        LR   A,R0
5159: 21 3f     NI   $3F
515b: 50        LR   R0,A
515c: 2a 5c 08  DCI  $5C08
515f: 78        LIS  $08
5160: 5a        LR   HU,A
5161: 5b        LR   HL,A
5162: 70        LIS  $00
5163: 17        ST
5164: 3b        DS   HL
5165: 94 fd     BNZ  $5163
5167: 78        LIS  $08
5168: 8e        ADC
5169: 3a        DS   HU
516a: 94 f6     BNZ  $5161
516c: 4a        LR   A,HU
516d: 5b        LR   HL,A
516e: 2a 5c 00  DCI  $5C00
5171: 8e        ADC
5172: 16        LM
5173: 54        LR   R4,A
5174: 2a 55 a0  DCI  $55A0		;jump table
5177: 8e        ADC
5178: 16        LM
5179: 07        LR   QL,A
517a: 0a        LR   A,IS
517b: e0        XS   R0
517c: 81 08     BP   $5185
517e: 13        SL   1
517f: 84 11     BZ   $5191
5181: 44        LR   A,R4
5182: e1        XS   R1
5183: 81 75     BP   $51F9
5185: 7c        LIS  $0C
5186: 8e        ADC
5187: 16        LM
5188: 59        LR   J,A
5189: 20 54     LI   $54
518b: 06        LR   QU,A		;adress $54xx
518c: 04        LR   KU,A
518d: 20 d8     LI   $D8
518f: 05        LR   KL,A		;K=54D8
5190: 0d        LR   P0,Q		;jump to Q

5191: 77        LIS  $07
5192: fa        NS   HU
5193: ca        AS   HU
5194: 12        SR   1
5195: 2a 58 90  DCI  $5890
5198: 8e        ADC
5199: 7f        LIS  $0F
519a: 8a        NM
519b: 5b        LR   HL,A
519c: 4a        LR   A,HU
519d: 2a 5c 08  DCI  $5C08
51a0: 8e        ADC
51a1: 16        LM
51a2: 06        LR   QU,A
51a3: 14        SR   4
51a4: 2a 53 7b  DCI  $537B
51a7: 8e        ADC
51a8: 02        LR   A,QU
51a9: 88        AM
51aa: 81 02     BP   $51AD
51ac: 14        SR   4
51ad: 8e        ADC
51ae: 16        LM
51af: 06        LR   QU,A
51b0: 14        SR   4
51b1: 18        COM
51b2: 1f        INC
51b3: 55        LR   R5,A
51b4: 02        LR   A,QU
51b5: 21 0f     NI   $0F
51b7: c5        AS   R5
51b8: 55        LR   R5,A
51b9: 20 80     LI   $80
51bb: c5        AS   R5
51bc: 3b        DS   HL
51bd: 94 fd     BNZ  $51BB
51bf: c3        AS   R3
51c0: 53        LR   R3,A
51c1: 42        LR   A,R2
51c2: 19        LNK
51c3: 52        LR   R2,A
51c4: 2a 55 83  DCI  $5583
51c7: 44        LR   A,R4
51c8: 25 01     CI   $01
51ca: 84 05     BZ   $51D0
51cc: 25 ff     CI   $FF
51ce: 94 05     BNZ  $51D4
51d0: ea        XS   HU
51d1: 14        SR   4
51d2: 24 07     AI   $07
51d4: 8e        ADC
51d5: 16        LM
51d6: 55        LR   R5,A
51d7: c2        AS   R2
51d8: 52        LR   R2,A
51d9: 45        LR   A,R5
51da: 18        COM
51db: 81 06     BP   $51E2
51dd: 1f        INC
51de: 55        LR   R5,A
51df: 02        LR   A,QU
51e0: 15        SL   4
51e1: 06        LR   QU,A
51e2: 02        LR   A,QU
51e3: 14        SR   4
51e4: c5        AS   R5
51e5: 81 13     BP   $51F9
51e7: 55        LR   R5,A
51e8: e4        XS   R4
51e9: 91 05     BM   $51EF
51eb: 45        LR   A,R5
51ec: 18        COM
51ed: 1f        INC
51ee: 55        LR   R5,A
51ef: e1        XS   R1
51f0: 45        LR   A,R5
51f1: 81 04     BP   $51F6
51f3: c2        AS   R2
51f4: 52        LR   R2,A
51f5: 70        LIS  $00
51f6: 13        SL   1
51f7: c9        AS   J
51f8: 59        LR   J,A
51f9: 4a        LR   A,HU
51fa: 1f        INC
51fb: 5a        LR   HU,A
51fc: 21 08     NI   $08
51fe: 84 66     BZ   $5265
5200: ca        AS   HU
5201: 5a        LR   HU,A
5202: 81 62     BP   $5265
5204: e0        XS   R0
5205: 50        LR   R0,A
5206: 0a        LR   A,IS
5207: e0        XS   R0
5208: 81 5f     BP   $5268
520a: 13        SL   1
520b: 84 51     BZ   $525D
520d: 40        LR   A,R0
520e: 23 b7     XI   $B7
5210: 94 0f     BNZ  $5220
5212: e8        XS   R8
5213: 91 0c     BM   $5220
5215: 1a        DI
5216: 62        LISU $02
5217: 68        LISL $00
5218: 4d        LR   A,(IS++)
5219: 5d        LR   (IS++),A
521a: 4d        LR   A,(IS++)
521b: 5d        LR   (IS++),A
521c: 4d        LR   A,(IS++)
521d: 5c        LR   (IS),A
521e: 67        LISU $07
521f: 6b        LISL $03
5220: 71        LIS  $01
5221: 54        LR   R4,A
5222: 55        LR   R5,A
5223: 41        LR   A,R1
5224: 21 70     NI   $70
5226: 23 74     XI   $74
5228: 5a        LR   HU,A
5229: 5b        LR   HL,A
522a: 59        LR   J,A
522b: 2a 5c 00  DCI  $5C00
522e: 8e        ADC
522f: 76        LIS  $06
5230: c1        AS   R1
5231: e1        XS   R1
5232: 88        AM
5233: 94 22     BNZ  $5256
5235: 76        LIS  $06
5236: f9        NS   J
5237: 84 09     BZ   $5241
5239: 77        LIS  $07
523a: 8e        ADC
523b: 7c        LIS  $0C
523c: e1        XS   R1
523d: 15        SL   4
523e: 8a        NM
523f: 94 16     BNZ  $5256
5241: 49        LR   A,J
5242: c5        AS   R5
5243: 59        LR   J,A
5244: 2a 5c 00  DCI  $5C00
5247: 8e        ADC
5248: c5        AS   R5
5249: 15        SL   4
524a: 70        LIS  $00
524b: 81 e6     BP   $5232
524d: 74        LIS  $04
524e: c1        AS   R1
524f: e1        XS   R1
5250: 88        AM
5251: 94 04     BNZ  $5256
5253: 44        LR   A,R4
5254: e5        XS   R5
5255: 54        LR   R4,A
5256: 35        DS   R5
5257: 35        DS   R5
5258: 92 ca     BNC  $5223
525a: 29 54 63  JMP  $5463

525d: 5a        LR   HU,A
525e: 53        LR   R3,A
525f: 20 f7     LI   $F7
5261: 52        LR   R2,A
5262: 20 82     LI   $82
5264: 59        LR   J,A
5265: 29 51 6c  JMP  $516C

5268: 1a        DI
5269: 94 1f     BNZ  $5289
526b: 43        LR   A,R3
526c: 14        SR   4
526d: c9        AS   J
526e: 59        LR   J,A
526f: 14        SR   4
5270: c2        AS   R2
5271: 25 3d     CI   $3D
5273: 82 08     BC   $527C
5275: 25 9e     CI   $9E
5277: 20 f8     LI   $F8
5279: 82 05     BC   $527F
527b: 70        LIS  $00
527c: 1f        INC
527d: 13        SL   1
527e: 13        SL   1
527f: 52        LR   R2,A
5280: 7f        LIS  $0F
5281: f9        NS   J
5282: 12        SR   1
5283: 12        SR   1
5284: c2        AS   R2
5285: c1        AS   R1
5286: e1        XS   R1
5287: 90 1f     BR   $52A7

5289: e8        XS   R8
528a: 81 08     BP   $5293
528c: 58        LR   R8,A
528d: 2a 58 ec  DCI  $58EC		;display ILLEGAL MOVE
5290: 29 50 a9  JMP  $50A9

5293: 0a        LR   A,IS
5294: 25 3b     CI   $3B
5296: 94 04     BNZ  $529B
5298: 29 50 34  JMP  $5034

529b: 42        LR   A,R2
529c: 18        COM
529d: 1f        INC
529e: 94 03     BNZ  $52A2
52a0: 20 80     LI   $80
52a2: 25 01     CI   $01
52a4: 94 02     BNZ  $52A7
52a6: 72        LIS  $02
52a7: 53        LR   R3,A
52a8: 41        LR   A,R1
52a9: 18        COM
52aa: 51        LR   R1,A
52ab: 0a        LR   A,IS
52ac: 24 41     AI   $41
52ae: 91 dd     BM   $528C
52b0: 0b        LR   IS,A
52b1: 4c        LR   A,(IS)
52b2: 21 77     NI   $77
52b4: 5a        LR   HU,A
52b5: ed        XS   (IS++)
52b6: 55        LR   R5,A
52b7: 4c        LR   A,(IS)
52b8: 21 77     NI   $77
52ba: 5b        LR   HL,A
52bb: 07        LR   QL,A
52bc: ed        XS   (IS++)
52bd: 12        SR   1
52be: c5        AS   R5
52bf: 55        LR   R5,A
52c0: 13        SL   1
52c1: 13        SL   1
52c2: e5        XS   R5
52c3: 14        SR   4
52c4: 55        LR   R5,A
52c5: 4d        LR   A,(IS++)
52c6: 52        LR   R2,A
52c7: 4c        LR   A,(IS)
52c8: 05        LR   KL,A
52c9: 25 75     CI   $75
52cb: 20 5c     LI   $5C
52cd: 06        LR   QU,A
52ce: 0f        LR   DC,Q
52cf: 16        LM
52d0: 54        LR   R4,A
52d1: 92 0a     BNC  $52DC
52d3: eb        XS   HL
52d4: 18        COM
52d5: 21 70     NI   $70
52d7: 94 04     BNZ  $52DC
52d9: 74        LIS  $04
52da: e4        XS   R4
52db: 54        LR   R4,A
52dc: 0f        LR   DC,Q
52dd: 77        LIS  $07
52de: f5        NS   R5
52df: c1        AS   R1
52e0: e1        XS   R1
52e1: 17        ST
52e2: 94 15     BNZ  $52F8
52e4: 41        LR   A,R1
52e5: 13        SL   1
52e6: 18        COM
52e7: e4        XS   R4
52e8: 94 0f     BNZ  $52F8
52ea: 4a        LR   A,HU
52eb: eb        XS   HL
52ec: 15        SL   4
52ed: 84 0a     BZ   $52F8
52ef: 44        LR   A,R4
52f0: 18        COM
52f1: 1f        INC
52f2: 0f        LR   DC,Q
52f3: 07        LR   QL,A
52f4: 15        SL   4
52f5: 8e        ADC
52f6: 03        LR   A,QL
52f7: 17        ST
52f8: 4a        LR   A,HU
52f9: 07        LR   QL,A
52fa: 0f        LR   DC,Q
52fb: 44        LR   A,R4
52fc: 17        ST
52fd: 0a        LR   A,IS
52fe: 24 41     AI   $41
5300: 91 8b     BM   $528C
5302: 75        LIS  $05
5303: c4        AS   R4
5304: 25 0a     CI   $0A
5306: 82 23     BC   $532A
5308: 4a        LR   A,HU
5309: eb        XS   HL
530a: 21 71     NI   $71
530c: 94 1d     BNZ  $532A
530e: 43        LR   A,R3
530f: 24 fd     AI   $FD
5311: 25 f9     CI   $F9
5313: 43        LR   A,R3
5314: 19        LNK
5315: 53        LR   R3,A
5316: 74        LIS  $04
5317: fb        NS   HL
5318: 94 04     BNZ  $531D
531a: 20 fe     LI   $FE
531c: 8e        ADC
531d: 70        LIS  $00
531e: 17        ST
531f: 71        LIS  $01
5320: 94 03     BNZ  $5324
5322: 20 fc     LI   $FC
5324: 8e        ADC
5325: 20 fc     LI   $FC
5327: c1        AS   R1
5328: e1        XS   R1
5329: 17        ST
532a: 40        LR   A,R0
532b: 22 80     OI   $80
532d: 50        LR   R0,A
532e: e8        XS   R8
532f: 91 04     BM   $5334
5331: 29 56 fd  JMP  $56FD

5334: 42        LR   A,R2
5335: 18        COM
5336: c3        AS   R3
5337: 92 1b     BNC  $5353
5339: 43        LR   A,R3
533a: 52        LR   R2,A
533b: 0a        LR   A,IS
533c: 59        LR   J,A
533d: 23 3b     XI   $3B
533f: 84 1f     BZ   $535F
5341: 73        LIS  $03
5342: c9        AS   J
5343: 0b        LR   IS,A
5344: 4c        LR   A,(IS)
5345: c2        AS   R2
5346: 49        LR   A,J
5347: 0b        LR   IS,A
5348: 92 2b     BNC  $5374
534a: 94 05     BNZ  $5350
534c: 25 37     CI   $37
534e: 84 25     BZ   $5374
5350: 29 52 93  JMP  $5293

5353: 1f        INC
5354: 94 1f     BNZ  $5374
5356: 0a        LR   A,IS
5357: 25 3b     CI   $3B
5359: 94 1a     BNZ  $5374
535b: 48        LR   A,R8
535c: 1f        INC
535d: 21 07     NI   $07
535f: 58        LR   R8,A
5360: 13        SL   1
5361: 2a 5c 81  DCI  $5C81
5364: 8e        ADC
5365: 78        LIS  $08
5366: f5        NS   R5
5367: 15        SL   4
5368: 59        LR   J,A
5369: 62        LISU $02
536a: 6e        LISL $06
536b: 4a        LR   A,HU
536c: 5d        LR   (IS++),A
536d: e9        XS   J
536e: 17        ST
536f: 4b        LR   A,HL
5370: 5c        LR   (IS),A
5371: 17        ST
5372: 67        LISU $07
5373: 6b        LISL $03
5374: 72        LIS  $02
5375: c2        AS   R2
5376: 82 d9     BC   $5350
5378: 29 55 08  JMP  $5508

537b: f0        NS   R0				;DCI here
537c: e0        XS   R0
537d: c0        AS   R0
537e: a0        INS  $00
537f: 90 c0     BR   $5340
5381: bf        OUTS $0F
5382: ae        INS  $0E
5383: 10        LR   DC,H
5384: 9c 6b     BF   $0C,$53F0
5386: 6a        LISL $02
5387: c0        AS   R0
5388: 58        LR   R8,A
5389: 47        LR   A,R7
538a: 16        LM
538b: 99 90     BF   $09,$531C
538d: 09        LR   P,K
538e: 09        LR   P,K
538f: 09        LR   P,K
5390: 09        LR   P,K
5391: 99 95     BF   $09,$5327
5393: 93 91     BF   $03,$5325
5395: 59        LR   J,A
5396: 55        LR   R5,A
5397: 53        LR   R3,A
5398: 51        LR   R1,A
5399: 39        DS   J
539a: 35        DS   R5
539b: 33        DS   R3
539c: 31        DS   R1
539d: 19        LNK
539e: 15        SL   4
539f: 13        SL   1
53a0: 11        LR   H,DC
53a1: 90 90     BR   $5332
53a3: 90 90     BR   $5334
53a5: 54        LR   R4,A
53a6: 50        LR   R0,A
53a7: 50        LR   R0,A
53a8: 50        LR   R0,A
53a9: 36        DS   R6
53aa: 32        DS   R2
53ab: 30        DS   R0
53ac: 30        DS   R0
53ad: 18        COM
53ae: 14        SR   4
53af: 12        SR   1
53b0: 10        LR   DC,H
53b1: 09        LR   P,K
53b2: 45        LR   A,R5
53b3: 63        LISU $03
53b4: 81 09     BP   $53BE
53b6: 05        LR   KL,A
53b7: 23 41     XI   $41
53b9: 09        LR   P,K
53ba: 05        LR   KL,A
53bb: 03        LR   A,QL
53bc: 21 09     NI   $09
53be: 05        LR   KL,A
53bf: 03        LR   A,QL

53c0: 01        LR   A,KL		;looks like code, but what jumps here?
53c1: 25 01     CI   $01
53c3: 84 05     BZ   $53C9
53c5: 25 ff     CI   $FF
53c7: 94 05     BNZ  $53CD
53c9: ea        XS   HU
53ca: 14        SR   4
53cb: 24 07     AI   $07
53cd: 8e        ADC
53ce: 16        LM
53cf: 55        LR   R5,A
53d0: c2        AS   R2
53d1: 52        LR   R2,A
53d2: 45        LR   A,R5
53d3: 18        COM
53d4: 81 06     BP   $53DB
53d6: 1f        INC
53d7: 55        LR   R5,A
53d8: 02        LR   A,QU
53d9: 15        SL   4
53da: 06        LR   QU,A
53db: 02        LR   A,QU
53dc: 14        SR   4
53dd: c5        AS   R5
53de: 81 13     BP   $53F2
53e0: 55        LR   R5,A
53e1: e4        XS   R4
53e2: 91 05     BM   $53E8
53e4: 45        LR   A,R5
53e5: 18        COM
53e6: 1f        INC
53e7: 55        LR   R5,A
53e8: e1        XS   R1
53e9: 45        LR   A,R5
53ea: 81 04     BP   $53EF
53ec: c2        AS   R2
53ed: 52        LR   R2,A
53ee: 70        LIS  $00
53ef: 13        SL   1
53f0: c9        AS   J
53f1: 59        LR   J,A
53f2: 4a        LR   A,HU
53f3: 1f        INC
53f4: 5a        LR   HU,A
53f5: 21 08     NI   $08
53f7: 84 67     BZ   $545F
53f9: ca        AS   HU
53fa: 5a        LR   HU,A
53fb: 81 63     BP   $545F
53fd: e0        XS   R0
53fe: 50        LR   R0,A
53ff: 0a        LR   A,IS
5400: 44        LR   A,R4
5401: 15        SL   4
5402: ca        AS   HU
5403: 5b        LR   HL,A
5404: 3b        DS   HL
5405: 0a        LR   A,IS
5406: e0        XS   R0
5407: 25 80     CI   $80
5409: 70        LIS  $00
540a: 82 7d     BC   $5488
540c: 4b        LR   A,HL
540d: 2a 5c 00  DCI  $5C00
5410: 8e        ADC
5411: 70        LIS  $00
5412: 8d        CM
5413: 84 02     BZ   $5416
5415: 0c        PK
5416: 72        LIS  $02
5417: cb        AS   HL
5418: 5b        LR   HL,A
5419: 2a 5c 00  DCI  $5C00
541c: 8e        ADC
541d: 70        LIS  $00
541e: 8d        CM
541f: 84 02     BZ   $5422
5421: 0c        PK
5422: 2a 5c 00  DCI  $5C00
5425: 0a        LR   A,IS
5426: 07        LR   QL,A
5427: 1f        INC
5428: 1a        DI
5429: 0b        LR   IS,A
542a: 4d        LR   A,(IS++)
542b: 21 77     NI   $77
542d: 55        LR   R5,A
542e: 4c        LR   A,(IS)
542f: 21 77     NI   $77
5431: 8e        ADC
5432: c5        AS   R5
5433: 12        SR   1
5434: 55        LR   R5,A
5435: 03        LR   A,QL
5436: 1b        EI
5437: 0b        LR   IS,A
5438: 16        LM
5439: c4        AS   R4
543a: 94 0a     BNZ  $5445
543c: 4b        LR   A,HL
543d: 18        COM
543e: c5        AS   R5
543f: 25 fc     CI   $FC
5441: 82 03     BC   $5445
5443: 1f        INC
5444: 0c        PK
5445: 44        LR   A,R4
5446: 15        SL   4
5447: ca        AS   HU
5448: 5b        LR   HL,A
5449: 2a 5c 00  DCI  $5C00
544c: 8e        ADC
544d: 70        LIS  $00
544e: 88        AM
544f: 94 3b     BNZ  $548B
5451: 0c        PK
5452: 44        LR   A,R4
5453: 15        SL   4
5454: cb        AS   HL
5455: 5b        LR   HL,A
5456: 2a 5c 00  DCI  $5C00
5459: 8e        ADC
545a: e4        XS   R4
545b: 21 40     NI   $40
545d: 8b        OM
545e: 94 2c     BNZ  $548B
5460: 0c        PK
5461: 90 29     BR   $548B

5463: e4        XS   R4
5464: 71        LIS  $01
5465: 81 0a     BP   $5470
5467: f4        NS   R4
5468: 20 fe     LI   $FE
546a: 84 09     BZ   $5474
546c: 0c        PK
546d: 74        LIS  $04
546e: 90 05     BR   $5474

5470: f4        NS   R4
5471: 94 03     BNZ  $5475
5473: 72        LIS  $02
5474: 0c        PK
5475: 2b        NOP
5476: 29 51 5c  JMP  $515C

5479: 20 df     LI   $DF		;from jump table
547b: 0c        PK
547c: 72        LIS  $02
547d: 0c        PK
547e: 7d        LIS  $0D
547f: 0c        PK
5480: 74        LIS  $04
5481: 0c        PK
5482: 20 1c     LI   $1C
5484: 0c        PK
5485: 74        LIS  $04
5486: 0c        PK
5487: 7d        LIS  $0D
5488: 0c        PK
5489: 72        LIS  $02
548a: 0c        PK
548b: 29 51 f9  JMP  $51F9		;from jump table

548e: 7f        LIS  $0F		;from jump table
548f: 0c        PK
5490: 71        LIS  $01
5491: 0c        PK
5492: 71        LIS  $01
5493: 0c        PK
5494: 20 de     LI   $DE
5496: 0c        PK
5497: 71        LIS  $01
5498: 0c        PK
5499: 71        LIS  $01
549a: 0c        PK
549b: 7e        LIS  $0E
549c: 90 eb     BR   $5488

549e: 20 f0     LI   $F0		;from jump table
54a0: 0c        PK
54a1: 84 fc     BZ   $549E
54a3: 4a        LR   A,HU
54a4: 5b        LR   HL,A
54a5: 20 ff     LI   $FF
54a7: 0c        PK
54a8: 84 fc     BZ   $54A5
54aa: 4a        LR   A,HU
54ab: 5b        LR   HL,A
54ac: 71        LIS  $01
54ad: 0c        PK
54ae: 84 fd     BZ   $54AC
54b0: 4a        LR   A,HU
54b1: 5b        LR   HL,A
54b2: 20 10     LI   $10
54b4: 0c        PK
54b5: 84 fc     BZ   $54B2
54b7: 71        LIS  $01
54b8: f4        NS   R4
54b9: 84 d1     BZ   $548B
54bb: 4a        LR   A,HU
54bc: 5b        LR   HL,A
54bd: 20 ef     LI   $EF
54bf: 0c        PK
54c0: 84 fc     BZ   $54BD
54c2: 4a        LR   A,HU
54c3: 5b        LR   HL,A
54c4: 20 f1     LI   $F1
54c6: 0c        PK
54c7: 84 fc     BZ   $54C4
54c9: 4a        LR   A,HU
54ca: 5b        LR   HL,A
54cb: 7f        LIS  $0F
54cc: 0c        PK
54cd: 84 fd     BZ   $54CB
54cf: 4a        LR   A,HU
54d0: 5b        LR   HL,A
54d1: 20 11     LI   $11
54d3: 0c        PK
54d4: 84 fc     BZ   $54D1
54d6: 90 b4     BR   $548B

54d8: 08        LR   K,P
54d9: cb        AS   HL
54da: 5b        LR   HL,A
54db: 2a 5c 00  DCI  $5C00
54de: 8e        ADC
54df: 21 88     NI   $88
54e1: 94 28     BNZ  $550A
54e3: e0        XS   R0
54e4: 16        LM
54e5: 55        LR   R5,A
54e6: 81 31     BP   $5518
54e8: c1        AS   R1
54e9: e1        XS   R1
54ea: 91 26     BM   $5511
54ec: e8        XS   R8
54ed: 91 04     BM   $54F2
54ef: 29 50 e2  JMP  $50E2

54f2: 1a        DI
54f3: 62        LISU $02
54f4: 6e        LISL $06
54f5: 4d        LR   A,(IS++)
54f6: ea        XS   HU
54f7: 94 0e     BNZ  $5506
54f9: 4c        LR   A,(IS)
54fa: eb        XS   HL
54fb: 94 0a     BNZ  $5506
54fd: 58        LR   R8,A
54fe: 29 50 9b  JMP  $509B

5501: 70        LIS  $00
5502: 53        LR   R3,A
5503: 29 52 a8  JMP  $52A8

5506: 67        LISU $07
5507: 6b        LISL $03
5508: 77        LIS  $07
5509: f5        NS   R5
550a: 44        LR   A,R4
550b: 2a 55 ad  DCI  $55AD
550e: 8e        ADC
550f: 16        LM
5510: 59        LR   J,A
5511: 20 d8     LI   $D8
5513: 1a        DI
5514: 09        LR   P,K
5515: 05        LR   KL,A
5516: 1b        EI
5517: 1c        POP

5518: 75        LIS  $05
5519: c5        AS   R5
551a: 25 0a     CI   $0A
551c: 82 19     BC   $5536
551e: e4        XS   R4
551f: 81 ea     BP   $550A
5521: 45        LR   A,R5
5522: e1        XS   R1
5523: 1a        DI
5524: 81 dc     BP   $5501
5526: 71        LIS  $01
5527: 52        LR   R2,A
5528: 0a        LR   A,IS
5529: 07        LR   QL,A
552a: 24 c1     AI   $C1
552c: 82 09     BC   $5536
552e: 0b        LR   IS,A
552f: 4c        LR   A,(IS)
5530: 22 80     OI   $80
5532: 5c        LR   (IS),A
5533: 03        LR   A,QL
5534: 1b        EI
5535: 0b        LR   IS,A
5536: 77        LIS  $07
5537: 8e        ADC
5538: e4        XS   R4
5539: 16        LM
553a: 06        LR   QU,A
553b: 91 0a     BM   $5546
553d: 24 40     AI   $40
553f: 82 02     BC   $5542
5541: 06        LR   QU,A
5542: 21 0c     NI   $0C
5544: 90 0c     BR   $5551

5546: 22 cf     OI   $CF
5548: 18        COM
5549: 02        LR   A,QU
554a: 84 04     BZ   $554F
554c: 24 10     AI   $10
554e: 06        LR   QU,A
554f: 21 03     NI   $03
5551: c9        AS   J
5552: 18        COM
5553: 53        LR   R3,A
5554: 20 ff     LI   $FF
5556: 8e        ADC
5557: 02        LR   A,QU
5558: 91 02     BM   $555B
555a: c3        AS   R3
555b: 17        ST
555c: 70        LIS  $00
555d: e5        XS   R5
555e: 84 b2     BZ   $5511
5560: 01        LR   A,KL
5561: 25 9e     CI   $9E
5563: 82 ad     BC   $5511
5565: 20 ff     LI   $FF
5567: 59        LR   J,A
5568: e4        XS   R4
5569: 91 05     BM   $556F
556b: 45        LR   A,R5
556c: 18        COM
556d: 1f        INC
556e: 55        LR   R5,A
556f: 75        LIS  $05
5570: e5        XS   R5
5571: 84 9f     BZ   $5511
5573: 01        LR   A,KL
5574: 25 bd     CI   $BD
5576: 73        LIS  $03
5577: 19        LNK
5578: e5        XS   R5
5579: 84 97     BZ   $5511
557b: 90 8e     BR   $550A

557d: f9        NS   J
557e: f7        NS   R7
557f: fb        NS   HL
5580: fd        NS   (IS++)
5581: fd        NS   (IS++)
5582: ff        ???  $FF

5583: 00        LR   A,KU			;DCI here
5584: 01        LR   A,KL
5585: 03        LR   A,QL
5586: 03        LR   A,QL
5587: 05        LR   KL,A
5588: 09        LR   P,K
5589: 07        LR   QL,A
558a: 01        LR   A,KL
558b: 01        LR   A,KL
558c: 01        LR   A,KL
558d: 01        LR   A,KL
558e: 01        LR   A,KL
558f: 02        LR   A,QU
5590: 04        LR   KU,A
5591: 09        LR   P,K
5592: ff        ???  $FF
5593: ff        ???  $FF
5594: ff        ???  $FF
5595: ff        ???  $FF
5596: ff        ???  $FF
5597: fe        NS   (IS--)
5598: fc        NS   (IS)
5599: f7        NS   R7
559a: 8e        ADC
559b: 9e 9e     BF   $0E,$553A
559d: bd        OUTS $0D
559e: 79        LIS  $09
559f: 00        LR   A,KU

55a0: 8b        OM					;DCI here jump table $54xx
55a1: 00        LR   A,KU

55a2: 79        LIS  $09
55a3: bd        OUTS $0D

55a4: 9e 9e     BF   $0E,$5543

55a6: 8e        ADC
55a7: ff        ???  $FF

55a8: ff        ???  $FF
55a9: fe        NS   (IS--)
55aa: fd        NS   (IS++)
55ab: fd        NS   (IS++)
55ac: fc        NS   (IS)

55ad: 00        LR   A,KU			;DCI here
55ae: f3        NS   R3
55af: f7        NS   R7
55b0: f7        NS   R7
55b1: fb        NS   HL
55b2: ff        ???  $FF
55b3: ff        ???  $FF

   									;segment defs - 2 bytes per symbol: G1 M L K G2 J I H / F E D1 D2 C B A2 A1
   									;active low - see table at end of file
   									;0123456789_-CHI  NORMTSABCDEFGHKLPQUVW XY?
   									;then symbols for KQRBKnP PKnBRQK

55b4: ff        ???  $FF			;DCI here "0"
55b5: 00        LR   A,KU

55b6: dd        ASD  (IS++)			;"1"
55b7: ce        AS   (IS--)

55b8: 77        LIS  $07			;"2"
55b9: 88        AM

55ba: f7        NS   R7
55bb: c0        AS   R0
55bc: 77        LIS  $07
55bd: 73        LIS  $03
55be: 77        LIS  $07
55bf: 44        LR   A,R4
55c0: 77        LIS  $07
55c1: 04        LR   KU,A
55c2: db        ASD  HL
55c3: fc        NS   (IS)
55c4: 77        LIS  $07
55c5: 00        LR   A,KU
55c6: 77        LIS  $07
55c7: 40        LR   A,R0
55c8: ff        ???  $FF
55c9: cf        ???  $CF
55ca: ff        ???  $FF
55cb: fc        NS   (IS)
55cc: ff        ???  $FF
55cd: 0c        PK
55ce: 77        LIS  $07
55cf: 33        DS   R3
55d0: dd        ASD  (IS++)
55d1: cc        AS   (IS)
55d2: ff        ???  $FF
55d3: ff        ???  $FF
55d4: ff        ???  $FF
55d5: ff        ???  $FF
55d6: ee        XS   (IS--)
55d7: 33        DS   R3
55d8: ff        ???  $FF
55d9: 00        LR   A,KU
55da: c5        AS   R5
55db: f8        NS   R8
55dc: fa        NS   HU
55dd: 33        DS   R3
55de: dd        ASD  (IS++)
55df: fc        NS   (IS)
55e0: 77        LIS  $07
55e1: 44        LR   A,R4
55e2: 77        LIS  $07
55e3: 30        DS   R0
55e4: d5        ASD  R5
55e5: c0        AS   R0
55e6: ff        ???  $FF
55e7: 0c        PK
55e8: dd        ASD  (IS++)
55e9: c0        AS   R0
55ea: 7f        LIS  $0F
55eb: 0c        PK
55ec: 7f        LIS  $0F
55ed: 3c        DS   (IS)
55ee: f7        NS   R7
55ef: 04        LR   KU,A
55f0: 77        LIS  $07
55f1: 33        DS   R3
55f2: 6b        LISL $03
55f3: 3f        ???  $3F
55f4: ff        ???  $FF
55f5: 0f        LR   DC,Q
55f6: d5        ASD  R5
55f7: f8        NS   R8
55f8: ef        ???  $EF
55f9: 00        LR   A,KU
55fa: ff        ???  $FF
55fb: 03        LR   A,QL
55fc: bb        OUTS $0B
55fd: 3f        ???  $3F
55fe: af        INS  $0F
55ff: 33        DS   R3
5600: ff        ???  $FF
5601: ff        ???  $FF
5602: aa        INS  $0A
5603: ff        ???  $FF
5604: da        ASD  HU
5605: ff        ???  $FF
5606: d7        ASD  R7
5607: f8        NS   R8
5608: 05        LR   KL,A
5609: 30        DS   R0
560a: 05        LR   KL,A
560b: 78        LIS  $08
560c: 57        LR   R7,A
560d: 30        DS   R0
560e: ae        INS  $0E
560f: 30        DS   R0
5610: 6b        LISL $03
5611: 74        LIS  $04
5612: fa        NS   HU
5613: fc        NS   (IS)
5614: ff        ???  $FF
5615: ff        ???  $FF
5616: af        INS  $0F
5617: cf        ???  $CF
5618: b6        OUTS $06
5619: 47        LR   A,R7
561a: ea        XS   HU
561b: 03        LR   A,QL
561c: 75        LIS  $05
561d: 03        LR   A,QL
561e: 50        LR   R0,A
561f: 87 50     BT   $07,$5670
5621: 03        LR   A,QL

5622: 5e        LR   (IS--),A		;3853 interrupt vector set to here
5623: 20 4f     LI   $4F
5625: bf        OUTS $0F			;3853 timer
5626: 4b        LR   A,HL
5627: 5e        LR   (IS--),A
5628: 4a        LR   A,HU
5629: 5e        LR   (IS--),A
562a: 49        LR   A,J
562b: 5c        LR   (IS),A
562c: 1e        LR   J,W
562d: 0a        LR   A,IS
562e: 13        SL   1
562f: 13        SL   1
5630: e9        XS   J
5631: 59        LR   J,A
5632: 62        LISU $02
5633: a0        INS  $00
5634: 1f        INC
5635: 21 07     NI   $07
5637: 5b        LR   HL,A
5638: 2c        XDC
5639: 46        LR   A,R6
563a: 25 9f     CI   $9F
563c: 92 68     BNC  $56A5
563e: 73        LIS  $03
563f: f7        NS   R7
5640: 84 0c     BZ   $564D
5642: 25 02     CI   $02
5644: 92 36     BNC  $567B
5646: 84 56     BZ   $569D
5648: 77        LIS  $07
5649: f6        NS   R6
564a: eb        XS   HL
564b: 84 3d     BZ   $5689
564d: 46        LR   A,R6
564e: 21 f0     NI   $F0
5650: 81 5d     BP   $56AE
5652: 68        LISL $00
5653: 25 90     CI   $90
5655: 84 26     BZ   $567C
5657: e8        XS   R8
5658: 81 05     BP   $565E
565a: e7        XS   R7
565b: 70        LIS  $00
565c: 81 57     BP   $56B4
565e: 6e        LISL $06
565f: 4b        LR   A,HL
5660: 25 01     CI   $01
5662: 82 31     BC   $5694
5664: 24 fd     AI   $FD
5666: 91 22     BM   $5689
5668: 6f        LISL $07
5669: 25 01     CI   $01
566b: 82 28     BC   $5694
566d: 23 02     XI   $02
566f: 84 44     BZ   $56B4
5671: 78        LIS  $08
5672: f6        NS   R6
5673: 84 07     BZ   $567B
5675: 45        LR   A,R5
5676: cb        AS   HL
5677: 24 86     AI   $86
5679: 81 3c     BP   $56B6
567b: 69        LISL $01
567c: 4b        LR   A,HL
567d: 25 01     CI   $01
567f: 82 0d     BC   $568D
5681: ec        XS   (IS)
5682: ed        XS   (IS++)
5683: ec        XS   (IS)
5684: ed        XS   (IS++)
5685: 24 fd     AI   $FD
5687: 81 f5     BP   $567D
5689: 7b        LIS  $0B
568a: c1        AS   R1
568b: 90 2a     BR   $56B6

568d: 4c        LR   A,(IS)
568e: 94 02     BNZ  $5691
5690: 15        SL   4
5691: 14        SR   4
5692: 90 23     BR   $56B6

5694: 4c        LR   A,(IS)
5695: 84 0b     BZ   $56A1
5697: 21 0f     NI   $0F
5699: 24 17     AI   $17
569b: 90 1a     BR   $56B6

569d: 3b        DS   HL
569e: 82 bc     BC   $565B
56a0: 46        LR   A,R6
56a1: 14        SR   4
56a2: 1f        INC
56a3: 90 12     BR   $56B6

56a5: 3b        DS   HL
56a6: 82 04     BC   $56AB
56a8: 20 f8     LI   $F8
56aa: 8e        ADC
56ab: 16        LM
56ac: 90 09     BR   $56B6

56ae: cb        AS   HL
56af: 2a 5c 00  DCI  $5C00		;RAM
56b2: 8e        ADC
56b3: 16        LM
56b4: 24 30     AI   $30

56b6: 2c        XDC
56b7: 11        LR   H,DC
56b8: 13        SL   1			;multiply by 2 because 2 bytes per symbol
56b9: 2a 55 b4  DCI  $55B4		;segment defs - 2 bytes per symbol: G1 M L K G2 J I H / F E D1 D2 C B A2 A1
56bc: 8e        ADC
56bd: 16        LM				;get inner 8 segs from ROM G1 M L K G2 J I H
56be: b1        OUTS $01		;set LED segments
56bf: a0        INS  $00		;get digit position
56c0: 1f        INC				;next digit position
56c1: 22 08     OI   $08		;latch segments
56c3: b0        OUTS $00
56c4: 21 f7     NI   $F7
56c6: b0        OUTS $00
56c7: 16        LM				;get outer 8 segs from ROM F E D1 D2 C B A2 A1
56c8: b1        OUTS $01		;set LED segments
56c9: 10        LR   DC,H
56ca: a0        INS  $00		;get digit position and keypad column
56cb: 5a        LR   HU,A
56cc: 21 07     NI   $07		;digit position
56ce: 5b        LR   HL,A
56cf: 25 07     CI   $07		;are we at leftmost digit?
56d1: 94 50     BNZ  $5722		;no
56d3: 74        LIS  $04		;yes
56d4: c7        AS   R7
56d5: 57        LR   R7,A
56d6: 92 39     BNC  $5710
56d8: 24 50     AI   $50
56da: 57        LR   R7,A
56db: 6d        LISL $05
56dc: 20 ff     LI   $FF
56de: dc        ASD  (IS)
56df: 82 2d     BC   $570D
56e1: 20 59     LI   $59
56e3: 5e        LR   (IS--),A
56e4: 4e        LR   A,(IS--)
56e5: 8f f6     BR7  $56DC
56e7: 40        LR   A,R0
56e8: 23 37     XI   $37
56ea: 13        SL   1
56eb: 84 1c     BZ   $5708
56ed: 46        LR   A,R6
56ee: 25 9f     CI   $9F
56f0: 70        LIS  $00
56f1: 92 16     BNC  $5708
56f3: 49        LR   A,J
56f4: 12        SR   1
56f5: 12        SR   1
56f6: 22 03     OI   $03
56f8: 0b        LR   IS,A
56f9: 48        LR   A,R8
56fa: 22 80     OI   $80
56fc: 58        LR   R8,A
56fd: 0a        LR   A,IS
56fe: 25 3b     CI   $3B
5700: 84 04     BZ   $5705
5702: 29 52 a8  JMP  $52A8

5705: 29 50 40  JMP  $5040

5708: 69        LISL $01
5709: 5c        LR   (IS),A
570a: 6b        LISL $03
570b: 5c        LR   (IS),A
570c: 6d        LISL $05
570d: 5c        LR   (IS),A
570e: 90 05     BR   $5714

5710: 25 a8     CI   $A8
5712: 94 0f     BNZ  $5722
5714: 46        LR   A,R6
5715: 25 9f     CI   $9F
5717: 82 0a     BC   $5722
5719: 7f        LIS  $0F
571a: 2c        XDC
571b: 8d        CM
571c: 2c        XDC
571d: 94 04     BNZ  $5722
571f: 20 80     LI   $80
5721: 56        LR   R6,A
5722: 4b        LR   A,HL
5723: b0        OUTS $00
5724: 4a        LR   A,HU
5725: 25 83     CI   $83
5727: 82 15     BC   $573D
5729: a0        INS  $00
572a: 25 07     CI   $07
572c: 92 16     BNC  $5743
572e: 4a        LR   A,HU
572f: 94 15     BNZ  $5745
5731: 25 c7     CI   $C7
5733: 20 c7     LI   $C7
5735: 92 0f     BNC  $5745
5737: 47        LR   A,R7
5738: 21 fc     NI   $FC
573a: 57        LR   R7,A
573b: 90 4e     BR   $578A

573d: a0        INS  $00
573e: 25 0f     CI   $0F
5740: 82 49     BC   $578A
5742: 5a        LR   HU,A
5743: 22 e0     OI   $E0
5745: b0        OUTS $00
5746: 4a        LR   A,HU
5747: 25 83     CI   $83
5749: 92 40     BNC  $578A
574b: 68        LISL $00
574c: 94 2b     BNZ  $5778
574e: e8        XS   R8
574f: 20 f0     LI   $F0
5751: 91 18     BM   $576A
5753: f6        NS   R6
5754: 25 80     CI   $80
5756: 92 14     BNC  $576B
5758: 56        LR   R6,A
5759: 2a 5c 00  DCI  $5C00
575c: 8e        ADC
575d: 77        LIS  $07
575e: 5b        LR   HL,A
575f: 70        LIS  $00
5760: 84 05     BZ   $5766
5762: 17        ST
5763: 3b        DS   HL
5764: 82 fd     BC   $5762
5766: 6e        LISL $06
5767: 18        COM
5768: 5d        LR   (IS++),A
5769: 5c        LR   (IS),A
576a: f6        NS   R6
576b: 23 90     XI   $90
576d: 94 1c     BNZ  $578A
576f: 18        COM
5770: 5c        LR   (IS),A
5771: 6a        LISL $02
5772: 5c        LR   (IS),A
5773: 6c        LISL $04
5774: 5c        LR   (IS),A
5775: 79        LIS  $09
5776: 90 3d     BR   $57B4

5778: 25 81     CI   $81
577a: 92 69     BNC  $57E4
577c: 94 10     BNZ  $578D
577e: 46        LR   A,R6
577f: 21 f8     NI   $F8
5781: 81 03     BP   $5785
5783: 22 f0     OI   $F0
5785: 24 10     AI   $10
5787: 56        LR   R6,A
5788: 81 5a     BP   $57E3
578a: 29 58 80  JMP  $5880

578d: 13        SL   1
578e: 94 49     BNZ  $57D8
5790: 4c        LR   A,(IS)
5791: 24 10     AI   $10
5793: 92 02     BNC  $5796
5795: 5c        LR   (IS),A
5796: 18        COM
5797: 15        SL   4
5798: 4c        LR   A,(IS)
5799: 94 03     BNZ  $579D
579b: 23 0f     XI   $0F
579d: 5d        LR   (IS++),A
579e: 4d        LR   A,(IS++)
579f: 0a        LR   A,IS
57a0: 23 16     XI   $16
57a2: 94 ed     BNZ  $5790
57a4: e6        XS   R6
57a5: 81 0d     BP   $57B3
57a7: 14        SR   4
57a8: 25 09     CI   $09
57aa: 94 0f     BNZ  $57BA
57ac: 68        LISL $00
57ad: 4d        LR   A,(IS++)
57ae: 5d        LR   (IS++),A
57af: 4d        LR   A,(IS++)
57b0: 5d        LR   (IS++),A
57b1: 4d        LR   A,(IS++)
57b2: 5c        LR   (IS),A
57b3: 78        LIS  $08
57b4: 15        SL   4
57b5: e6        XS   R6
57b6: 21 f7     NI   $F7
57b8: e6        XS   R6
57b9: 56        LR   R6,A
57ba: 92 cf     BNC  $578A
57bc: 15        SL   4
57bd: 56        LR   R6,A
57be: e8        XS   R8
57bf: 91 ca     BM   $578A
57c1: 47        LR   A,R7
57c2: 12        SR   1
57c3: 12        SR   1
57c4: 2a 5c 80  DCI  $5C80
57c7: 17        ST
57c8: 6e        LISL $06
57c9: 4d        LR   A,(IS++)
57ca: 5a        LR   HU,A
57cb: 5b        LR   HL,A
57cc: fc        NS   (IS)
57cd: 18        COM
57ce: 84 06     BZ   $57D5
57d0: 67        LISU $07
57d1: 6b        LISL $03
57d2: 29 51 5c  JMP  $515C

57d5: 29 50 de  JMP  $50DE

57d8: 25 80     CI   $80
57da: 94 0e     BNZ  $57E9
57dc: e8        XS   R8
57dd: 91 04     BM   $57E2
57df: 41        LR   A,R1
57e0: 18        COM
57e1: 51        LR   R1,A
57e2: 37        DS   R7
57e3: 37        DS   R7
57e4: 73        LIS  $03
57e5: c7        AS   R7
57e6: 57        LR   R7,A
57e7: 90 a2     BR   $578A

57e9: 25 40     CI   $40
57eb: 94 06     BNZ  $57F2
57ed: 71        LIS  $01
57ee: c7        AS   R7
57ef: 57        LR   R7,A
57f0: 90 7a     BR   $586B

57f2: ca        AS   HU
57f3: 24 40     AI   $40
57f5: 82 0a     BC   $5800
57f7: 24 5f     AI   $5F
57f9: 82 06     BC   $5800
57fb: 24 2f     AI   $2F
57fd: 82 02     BC   $5800
57ff: 70        LIS  $00
5800: 5a        LR   HU,A
5801: 46        LR   A,R6
5802: 14        SR   4
5803: 25 09     CI   $09
5805: 84 50     BZ   $5856
5807: 79        LIS  $09
5808: ea        XS   HU
5809: 79        LIS  $09
580a: 84 a9     BZ   $57B4
580c: e8        XS   R8
580d: 81 72     BP   $5880
580f: 6e        LISL $06
5810: 46        LR   A,R6
5811: 21 f7     NI   $F7
5813: 91 15     BM   $5829
5815: 56        LR   R6,A
5816: 2a 5c 00  DCI  $5C00
5819: 8e        ADC
581a: 4a        LR   A,HU
581b: 25 06     CI   $06
581d: 92 62     BNC  $5880
581f: c1        AS   R1
5820: e1        XS   R1
5821: 18        COM
5822: 1f        INC
5823: 17        ST
5824: 20 ff     LI   $FF
5826: 5d        LR   (IS++),A
5827: 90 42     BR   $586A

5829: 3a        DS   HU
582a: 92 55     BNC  $5880
582c: e6        XS   R6
582d: 46        LR   A,R6
582e: 84 13     BZ   $5842
5830: 4a        LR   A,HU
5831: 56        LR   R6,A
5832: 4d        LR   A,(IS++)
5833: 5a        LR   HU,A
5834: 4c        LR   A,(IS)
5835: 5b        LR   HL,A
5836: 29 50 e1  JMP  $50E1

5839: 62        LISU $02
583a: 6e        LISL $06
583b: 46        LR   A,R6
583c: 5a        LR   HU,A
583d: 20 ff     LI   $FF
583f: 5d        LR   (IS++),A
5840: 5e        LR   (IS--),A
5841: 15        SL   4
5842: 21 87     NI   $87
5844: 56        LR   R6,A
5845: 25 81     CI   $81
5847: 82 06     BC   $584E
5849: 25 84     CI   $84
584b: 92 1f     BNC  $586B
584d: 6f        LISL $07
584e: 94 17     BNZ  $5866
5850: 4a        LR   A,HU
5851: 15        SL   4
5852: 5a        LR   HU,A
5853: 7f        LIS  $0F
5854: 90 13     BR   $5868

5856: 77        LIS  $07
5857: f6        NS   R6
5858: 25 01     CI   $01
585a: 82 09     BC   $5864
585c: 6a        LISL $02
585d: 25 04     CI   $04
585f: 82 04     BC   $5864
5861: 6c        LISL $04
5862: 25 07     CI   $07
5864: 94 eb     BNZ  $5850
5866: 20 f0     LI   $F0
5868: fc        NS   (IS)
5869: ca        AS   HU
586a: 5c        LR   (IS),A
586b: 77        LIS  $07
586c: f6        NS   R6
586d: 25 07     CI   $07
586f: 71        LIS  $01
5870: 94 03     BNZ  $5874
5872: 20 f9     LI   $F9
5874: c6        AS   R6
5875: 56        LR   R6,A
5876: 21 87     NI   $87
5878: 25 82     CI   $82
587a: 84 f0     BZ   $586B
587c: 25 85     CI   $85
587e: 84 ec     BZ   $586B
5880: 49        LR   A,J
5881: 14        SR   4
5882: 13        SL   1
5883: 13        SL   1
5884: 0b        LR   IS,A
5885: 1d        LR   W,J
5886: 1a        DI
5887: 4d        LR   A,(IS++)
5888: 59        LR   J,A
5889: 4d        LR   A,(IS++)
588a: 5a        LR   HU,A
588b: 4d        LR   A,(IS++)
588c: 5b        LR   HL,A
588d: 4c        LR   A,(IS)
588e: 1b        EI
588f: 1c        POP

5890: c1        AS   R1				;DCI from $500F - copied to RAM $5C00
5891: a1        INS  $01			;top 4 bits=piece, bottom 4 bits=position value?
5892: b2        ???  $B2			;8x8 board = 64 bytes, starting upper left of board?
5893: d2        ASD  R2				;black rook, knight, bishop, queen, king, bishop, knight, rook
5894: e2        XS   R2
5895: b2        ???  $B2
5896: a1        INS  $01
5897: c1        AS   R1

5898: 91 92     BM   $582B			;8 black pawns
589a: 93 93     BF   $03,$582E
589c: 93 93     BF   $03,$5830
589e: 92 91     BNC  $5830

58a0: 82 83     BC   $5824			;8 empty squares
58a2: 84 85     BZ   $5828
58a4: 85 84     BP   $5829
58a6: 83 82     BT   $03,$5829

58a8: 82 83     BC   $582C			;8 empty squares
58aa: 85 85     BP   $5830
58ac: 85 85     BP   $5832
58ae: 83 82     BT   $03,$5831

58b0: 82 83     BC   $5834			;8 empty squares
58b2: 85 85     BP   $5838
58b4: 85 85     BP   $583A
58b6: 83 82     BT   $03,$5839

58b8: 82 83     BC   $583C			;8 empty squares
58ba: 84 85     BZ   $5840
58bc: 85 84     BP   $5841
58be: 83 82     BT   $03,$5841

58c0: 71        LIS  $01			;8 white pawns
58c1: 72        LIS  $02
58c2: 73        LIS  $03
58c3: 73        LIS  $03
58c4: 73        LIS  $03
58c5: 73        LIS  $03
58c6: 72        LIS  $02
58c7: 71        LIS  $01

58c8: 41        LR   A,R1			;white rook, knight, bishop, queen, king, bishop, knight, rook
58c9: 61        LISU $01
58ca: 52        LR   R2,A
58cb: 32        DS   R2
58cc: 22 52     OI   $52
58ce: 61        LISU $01
58cf: 41        LR   A,R1

									;Boris's messages - each nibble is a character; add 12 to get index into character table, or if nibble is 0, add 27
									;BORIS PLAYS BLACK
58d0: c6        AS   R6				;C+C=18 (B), C+6=12 (O)
58d1: 72        LIS  $02			;C+7=13 (R), C+2=0E (IO
58d2: a4        INS  $04			;C+A=16 (S), C+4=10 (space)
58d3: 06        LR   QU,A			;1B+06=21 (P)
58d4: 05        LR   KL,A			;1B+05=20 (L)
58d5: b0        OUTS $00			;C+B=17 (A), 1B+0D=28 (Y)
58d6: da        ASD  HU				;C+A=16 (S)
58d7: 4c        LR   A,(IS)			;C+4=10 (space), C+C=18 (B)
58d8: 05        LR   KL,A
58d9: bd        OUTS $0D
58da: 04        LR   KU,A
58db: 30        DS   R0

58dc: a9        INS  $09			;DCI here
58dd: b0        OUTS $00
58de: 5f        ???  $5F
58df: 8b        OM
58e0: 9f 30     BF   $0F,$5911
58e2: d6        ASD  R6
58e3: 50        LR   R0,A
58e4: 27 b9     OUT  $B9
58e6: 08        LR   K,P
58e7: 05        LR   KL,A
58e8: b9        OUTS $09
58e9: 26 5a     IN   $5A
58eb: 30        DS   R0

58ec: 20 50     LI   $50			;DCI here
58ee: 5f        ???  $5F
58ef: 02        LR   A,QU
58f0: b0        OUTS $00
58f1: 54        LR   R4,A
58f2: 86 09     BT   $06,$58FC
58f4: f3        NS   R3

58f5: 0e        LR   Q,DC			;DCI here
58f6: 15        SL   4
58f7: 1d        LR   W,J
58f8: 25 2a     CI   $2A
58fa: 3a        DS   HU
58fb: 42        LR   A,R2
58fc: 48        LR   A,R8
58fd: 4e        LR   A,(IS--)
58fe: 56        LR   R6,A
58ff: 5d        LR   (IS++),A
5900: 62        LISU $02
5901: 6b        LISL $03
5902: 74        LIS  $04
5903: 7b        LIS  $0B
5904: b1        OUTS $01
5905: 14        SR   4
5906: 70        LIS  $00
5907: 89        AMD
5908: 10        LR   DC,H
5909: 5f        ???  $5F
590a: aa        INS  $0A
590b: 30        DS   R0
590c: b7        OUTS $07
590d: f4        NS   R4
590e: 0d        LR   P0,Q
590f: 60        LISU $00
5910: 84 7b     BZ   $598C
5912: 9f e0     BF   $0F,$58F3
5914: e3        XS   R3
5915: c0        AS   R0
5916: 89        AMD
5917: 46        LR   A,R6
5918: 01        LR   A,KL
5919: 4d        LR   A,(IS++)
591a: 60        LISU $00
591b: 87 af     BT   $07,$58CB
591d: 30        DS   R0
591e: 02        LR   A,QU
591f: 66        LISU $06
5920: e4        XS   R4
5921: 86 09     BT   $06,$592B
5923: f3        NS   R3
5924: 03        LR   A,QL
5925: b0        OUTS $00
5926: 9f 40     BF   $0F,$5967
5928: d6        ASD  R6
5929: 08        LR   K,P
592a: 40        LR   A,R0
592b: 60        LISU $00
592c: 5b        LR   HL,A
592d: 0d        LR   P0,Q
592e: fe        NS   (IS--)
592f: 4c        LR   A,(IS)
5930: f0        NS   R0
5931: 16        LM
5932: 7f        LIS  $0F
5933: 0e        LR   Q,DC
5934: 30        DS   R0
5935: 24 f0     AI   $F0
5937: c0        AS   R0
5938: 6f        LISL $07
5939: d9        ASD  J
593a: fe        NS   (IS--)
593b: 49        LR   A,J
593c: 1b        EI
593d: 93 24     BF   $03,$5962
593f: 82 aa     BC   $58EA
5941: fe        NS   (IS--)
5942: 49        LR   A,J
5943: 1b        EI
5944: 93 24     BF   $03,$5969
5946: 5f        ???  $5F
5947: fe        NS   (IS--)
5948: 41        LR   A,R1
5949: f0        NS   R0
594a: 50        LR   R0,A
594b: 63        LISU $03
594c: 2a 49 12  DCI  $4912
594f: a4        INS  $04
5950: b4        OUTS $04
5951: 97 b0     BF   $07,$5902
5953: 60        LISU $00
5954: e3        XS   R3
5955: 8b        OM
5956: 0d        LR   P0,Q
5957: 42        LR   A,R2
5958: 4d        LR   A,(IS++)
5959: 1f        INC
595a: b9        OUTS $09
595b: 0e        LR   Q,DC
595c: 30        DS   R0
595d: 7f        LIS  $0F
595e: b0        OUTS $00
595f: 50        LR   R0,A
5960: 50        LR   R0,A
5961: d0        ASD  R0
5962: e3        XS   R3
5963: a0        INS  $00
5964: 66        LISU $06
5965: 94 8f     BNZ  $58F5
5967: 4b        LR   A,HL
5968: 40        LR   A,R0
5969: 70        LIS  $00
596a: 8f f5     BR7  $5960
596c: 30        DS   R0
596d: 09        LR   P,K
596e: f7        NS   R7
596f: 0d        LR   P0,Q
5970: 42        LR   A,R2
5971: 59        LR   J,A
5972: f7        NS   R7
5973: fa        NS   HU
5974: 92 50     BNC  $59C5
5976: 23 09     XI   $09
5978: f7        NS   R7
5979: 0d        LR   P0,Q
597a: 49        LR   A,J
597b: 72        LIS  $02
597c: d0        ASD  R0
597d: 40        LR   A,R0
597e: d3        ASD  R3
597f: 0a        LR   A,IS
5980: b5        OUTS $05
5981: 94 b4     BNZ  $5936
5983: e7        XS   R7
5984: b0        OUTS $00
5985: a0        INS  $00
5986: e3        XS   R3



00 55B4 FF 00
 - -
|   |
    
|   |
 - -

01 55B6 DD CE
 -  
  |  
    
  |  
 - -

02 55B8 77 88
 - -
    |
 - -
|    
 - -

03 55BA F7 C0
 - -
    |
   -
    |
 - -

04 55BC 77 73
    
|   |
 - -
    |
    

05 55BE 77 44
 - -
|    
 - -
    |
 - -

06 55C0 77 04
 - -
|    
 - -
|   |
 - -

07 55C2 DB FC
 - -
   / 
    
  |  
    

08 55C4 77 00
 - -
|   |
 - -
|   |
 - -

09 55C6 77 40
 - -
|   |
 - -
    |
 - -

0A 55C8 FF CF
    
     
    
     
 - -

0B 55CA FF FC
 - -
     
    
     
    

0C 55CC FF 0C
 - -
|    
    
|    
 - -

0D 55CE 77 33
    
|   |
 - -
|   |
    

0E 55D0 DD CC
 - -
  |  
    
  |  
 - -

0F 55D2 FF FF
    
     
    
     
    

10 55D4 FF FF
    
     
    
     
    

11 55D6 EE 33
    
|\  |
    
|  \|
    

12 55D8 FF 00
 - -
|   |
    
|   |
 - -

13 55DA C5 F8
 - -
  | |
   -
  |\ 
    

14 55DC FA 33
    
|\ /|
    
|   |
    

15 55DE DD FC
 - -
  |  
    
  |  
    

16 55E0 77 44
 - -
|    
 - -
    |
 - -

17 55E2 77 30
 - -
|   |
 - -
|   |
    

18 55E4 D5 C0
 - -
  | |
   -
  | |
 - -

19 55E6 FF 0C
 - -
|    
    
|    
 - -

1A 55E8 DD C0
 - -
  | |
    
  | |
 - -

1B 55EA 7F 0C
 - -
|    
 -  
|    
 - -

1C 55EC 7F 3C
 - -
|    
 -  
|    
    

1D 55EE F7 04
 - -
|    
   -
|   |
 - -

1E 55F0 77 33
    
|   |
 - -
|   |
    

1F 55F2 6B 3F
    
|  / 
 -  
|  \ 
    

20 55F4 FF 0F
    
|    
    
|    
 - -

21 55F6 D5 F8
 - -
  | |
   -
  |  
    

22 55F8 EF 00
 - -
|   |
    
|  \|
 - -

23 55FA FF 03
    
|   |
    
|   |
 - -

24 55FC BB 3F
    
|  / 
    
|/   
    

25 55FE AF 33
    
|   |
    
|/ \|
    

26 5600 FF FF
    
     
    
     
    

27 5602 AA FF
    
 \ / 
    
 / \ 
    

28 5604 DA FF
    
 \ / 
    
  |  
    

29 5606 D7 F8
 - -
    |
   -
  |  
    

2A 5608 05 30
 - -
| | |
 - -
|/|\|
    

2B 560A 05 78
 - -
| | |
 - -
 /|\ 
    

2C 560C 57 30
 - -
|   |
 - -
| | |
    

2D 560E AE 30
 - -
|\  |
    
|/ \|
    

2E 5610 6B 74
 - -
|  / 
 -  
   \|
    

2F 5612 FA FC
 - -
 \ / 
    
     
    

30 5614 FF FF
    
     
    
     
    

31 5616 AF CF
    
     
    
 / \ 
 - -

32 5618 B6 47
    
|\   
   -
 /  |
 - -

33 561A EA 03
    
|\ /|
    
|  \|
 - -

34 561C 75 03
    
| | |
 - -
|   |
 - -

35 561E 50 87
    
 \|/ 
 - -
| | |
 - -

36 5620 50 03
    
|\|/|
 - -
| | |
 - -



08D0:BORIS PLAYS BLACK 
C6 72 A4 06 05 B0 DA 4C 05 BD 04 3x

08DC:STALEMATE 
A9 B0 5F 8B 9F 3x

08E2:CONGRATULATIONS 
D6 50 27 B9 08 05 B9 26 5A 3x

08EC:ILLEGAL MOVE 
20 50 5F 02 B0 54 86 09 F3 

08F5:Pointers to messages below

0904:AHH RUTHLESS 
B1 14 70 89 10 5F AA 3x

090C:ARE YOU RATED? 
B7 F4 0D 60 84 7B 9F E0 E3 

0915:BUT OF COURSE 
C0 89 46 01 4D 60 87 AF 3x

091E:GOOD MOVE 
02 66 E4 86 09 F3 

0924:HAVE YOU PLAYED BEFORE? 
03 B0 9F 40 D6 08 40 60 5B 0D FE 4C F0 16 7F 0E 3x

0935:I EXPECTED THAT 
24 F0 C0 6F D9 FE 49 1B 93 

093E:I MISSED THAT 
24 82 AA FE 49 1B 93 

0945:I NEED HELP 
24 5F FE 41 F0 50 63 

094C:IS THIS A TRAP? 
2A 49 12 A4 B4 97 B0 60 E3 

0955:MAY I CHEAT? 
8B 0D 42 4D 1F B9 0E 3x

095D:REALLY? 
7F B0 50 50 D0 E3 

0963:SPOT ME A QUEEN 
A0 66 94 8F 4B 40 70 8F F5 3x

096D:VERY INTERESTING 
09 F7 0D 42 59 F7 FA 92 50 23 

0977:VERY TRICKY 
09 F7 0D 49 72 D0 40 D3 

097F:WANT A DRAW? 
0A B5 94 B4 E7 B0 A0 E3 
